Advanced Frontend Editing - Bug # 9304

Status: Closed Priority: Must have
Author: Steve Ryan Category: Editing Form
Created: 2010-08-15 Assigned To: Chris topher
Updated: 2014-08-06 Due date:

Subiject: Versioncheck for sprite manager is incorrect.

Description

| use TYPO3 4.4dev and feeditadvanced 1.4.
In localconf my compat_version is set to 4.4.

The test for instantiating the sprite manager requires a version number greater than 4004000 (translates to TYPO3_version greater
than 4.4).
Sprites for TCEFORM are not displayed correctly out of the box in version 4.4.

If I change the test to >= the sprites are displayed correctly.
* if(t3lib_div::int_from_ver(TYPOS3_version) >= 4004000) {
// Load the sprite manager for frontend-editing
$spriteManager = t3lib_div::makelnstance('t3lib_SpriteManager', TRUE);
$spriteManager->loadCacheFile();

P

As | understand the change logs, the sprite manager was introduced in versions starting with and greater than 4.4.

Related issues:
follows Advanced Frontend Editing - Bug # 8072: Sprite manager not initialize... Closed 2010-06-04

Associated revisions

Revision e69¢c17a3 - 2010-11-15 15:27 - Chris topher

Fixed bug #9304: Versioncheck for sprite manager is incorrect.

git-svn-id: https://svn.typo3.org/TYPO3v4/CoreProjects/feedit/trunk@2836 743128fe-103e-dd11-99¢c4-001b210b3e58

History

#1 - 2010-08-15 15:59 - Chris topher

| think you are speaking of a development system (which is a valid reason to use a dev-version).

#2 - 2010-08-16 17:45 - Jeff Segars

- Status changed from New to Needs Feedback
- Target version set to 1.5.0

Hey Steve,
Thanks for the heads up on this. You're right that the check should definitely be greater than or equal to but there are a couple other points to clear
up.

The compat_version doesn't actually come into play here at all since TYPO3_version is just the raw TYPOS version. If you're having errors with the
https://svn.typo3.org/TYPO3v4/CoreProjects/feedit/trunk@2836

version comparison, | assume you're on a dev version prior to the actual 4.4 release? Trunk should now be 4.5.0-dev and the 4.4 branch should be
4.4.3-dev, both of which should work fine.

I'll get the bug fixed later today but in the meantime, can you confirm those version number details?

Thanks,

Jeff

#3 - 2010-08-19 02:42 - Steve Ryan

Jeff Segars wrote:

Hey Steve,

Thanks for the heads up on this. You're right that the check should definitely be greater than or equal to but there are a couple other points to
clear up.

The compat_version doesn't actually come into play here at all since TYPO3_version is just the raw TYPQO3 version. If you're having errors with
the version comparison, | assume you're on a dev version prior to the actual 4.4 release? Trunk should now be 4.5.0-dev and the 4.4 branch
should be 4.4.3-dev, both of which should work fine.

I'll get the bug fixed later today but in the meantime, can you confirm those version number details?

Thanks,
Jeff

Hi Jeff,

I'm using a svn checkout
URL: https://svn.typo3.org/TYPO3v4/Core/branches/TYPO3 4-4
Repository Root: https://svn.typo3.org/TYPO3v4/Core
Repository UUID: 709f56b5-9817-0410-a4d7-c38de5d9e867
Revision: 8429

Afraid | am a bit blurry about trunk and dev versions from the repository. | thought that | understood that revision 8420 was marked for release as
t4.4.0.

cheers

Steve

#4 - 2010-08-19 15:00 - Chris topher

The internal TYPOS3 version in the 4.4-branch is currently 4.4.3-dev.
But with the old revision 8429 which you use you will still have it called "4.4-dev".

Here is an overview of the changes ("Updating version number to ..."):
http://forge.typo3.org/projects/typo3v4-core/repository/changes/branches/TYPO3 4-4/t3lib/config default.php

| think you could work around that problem by updating the code from SVN. Just go on using the 4.4-branch and do an update.

#5 - 2010-11-12 20:58 - Chris topher
- Subject changed from version check for sprite manager incorrect to version check for sprite manager is incorrect

#6 - 2010-11-15 01:02 - Chris topher

Jeff Segars wrote:

You're right that the check should definitely be greater than or equal to(...).

Fixed in r2836.

#7 - 2010-11-15 15:20 - Chris topher

- Subject changed from version check for sprite manager is incorrect to Versioncheck for sprite manager is incorrect.
- Status changed from Needs Feedback to Resolved

- Assigned To set to Chris topher

- % Done changed from 0 to 100

#8 - 2014-08-06 12:05 - Chris topher

- Status changed from Resolved to Closed
